local weekDays = {
    ["Sunday"] = "星期日",
    ["Monday"] = "星期一",
    ["Tuesday"] = "星期二",
    ["Wednesday"] = "星期三",
    ["Thursday"] = "星期四",
    ["Friday"] = "星期五",
    ["Saturday"] = "星期六"
}

local currentWeekDay = os.date("%A")
local chineseWeekDay = weekDays[currentWeekDay]

local s = os.date("%Y年%m月%d日%H点%M分%S秒") .. "，" .. chineseWeekDay
s = string.format("%s，电量百分之%d", s, service.getBatteryLevel())
service.speak(s)
return true